Bug 1056308 - User edit profile page missing field validation for empty email address
User edit profile page missing field validation for empty email address
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Component-UI (Show other bugs)
3.2
Unspecified Unspecified
unspecified Severity medium
: ---
: 3.3
Assigned To: Patrick Huang
Zanata-QA Mailling List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2014-01-21 18:16 EST by Damian Jansen
Modified: 2014-03-20 01:47 EDT (History)
2 users (show)

See Also:
Fixed In Version: 3.3.0-SNAPSHOT (20140218-0947)
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-20 01:47:20 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Damian Jansen 2014-01-21 18:16:45 EST
Description of problem:
The email field on the Edit Profile page cannot be empty. The field validation is missing and, if submitted without text in that field, causes a ConstraintViolationException.

Version-Release number of selected component (if applicable):
dev

How reproducible:
Easy always

Steps to Reproduce:
1. Sign in, click Settings on the Dashboard / in menu
2. Click Edit Profile
3. Remove the text from the Email field
4. Press Save

Actual results:
ConstraintViolationImpl{interpolatedMessage='may not be empty', propertyPath=email, rootBeanClass=class org.zanata.model.HPersonEmailValidationKey, messageTemplate='{org.hibernate.validator.constraints.NotEmpty.message}'}

Expected results:
User should not be able to get this far. The field should have the "*" to indicate it is required, and validate empty input for that field.

Additional info:
Comment 1 Patrick Huang 2014-02-12 01:33:03 EST
https://github.com/zanata/zanata-server/pull/373
Comment 2 Damian Jansen 2014-02-18 20:50:24 EST
Verified at 1bf60cc19d6941929f586c3e8d62390fbb41644d
Comment 3 Sean Flanigan 2014-03-20 01:47:20 EDT
Closing VERIFIED bugs for Zanata server 3.3.2.

Note You need to log in before you can comment on or make changes to this bug.